class Car
{
    private int[] position;
    private int dim;
	
    public Car(int d){
         dim = d;
		 position = new int[d];
    }

    public void move(){
		for (int i=0; i < dim; i++){
           position[i] ++;
		}
	}

    public Car copy(){
		Car newCar = new Car(this.dim);
		newCar.position = this.position;
		return newCar;
    }	
	
	public String toString(){
		String output = "";
		for (int i=0; i < dim; i++){
           output = output + position[i] + " ";
		}
		return output;
    }	

    public static void main(String args[]){
		Car car1 = new Car(2);
		car1.move();
		Car car2 = car1.copy();
		car2.move();
		System.out.println(car1);
    }
}
